
import tester.*;
import java.awt.Color;
import javalib.worldimages.*;

/**
 * Testing class SketchpadTest.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class SketchpadTest extends junit.framework.TestCase
{
    // Instance variables go here, typically examples to test.
    // For example, if you're testing the Date class, you might say
    // private Date myBirthday = new Date(1964, 1, 27);
    // private Date millennium = new Date(2001, 1, 1);
    private Sketchpad it = new Sketchpad (AImage.makeRectangle (500, 300, Color.yellow, Mode.FILLED));

    /**
     * Run all test methods in the class.
     */
    public static void testEverything ()
    {
        Tester.run (new SketchpadTest());
    }

    /**
    * A sample testing method
    * 
    * @param  t   the Tester to use
    */
    public void testMakeImage (Tester t)
    {
        // put your code here, e.g.
        // t.checkExpect (this.myBirthday.getYear(), 1964);
        // t.checkExpect (new Date(1941,12,7).addDays(10),
        //           new Date(1941,12,17));
        t.checkExpect (it.makeImage (SampleImages.bloch), SampleImages.bloch);
    }
    
    public void testMouseDragged (Tester t)
    {
        WorldImage dot = AImage.makeCircle (5, Mode.FILLED);
        t.checkExpect (it.gotMouseDragged (SampleImages.bloch, new Posn(10, 15)),
                       SampleImages.bloch.place(dot, 10, 15));
    }
}
